Uses of Interface
org.apache.juneau.marshall.httppart.HttpPartSerializer
Packages that use HttpPartSerializer
Package
Description
HTTP Header Beans
HTTP Part Beans
Remote REST API
HTTP Part Beans
HTTP Part Marshalling Support
OpenAPI Marshalling Support
UON Marshalling Support
URL-Encoding Marshalling Support
REST Client API
Remote REST API
REST Server API
REST HTTP Parts
-
Uses of HttpPartSerializer in org.apache.juneau.http.classic.header
Methods in org.apache.juneau.http.classic.header with parameters of type HttpPartSerializerModifier and TypeMethodDescriptionSerializedHeader.serializer(HttpPartSerializer value) Sets the serializer to use for serializing the value to a string value. -
Uses of HttpPartSerializer in org.apache.juneau.http.classic.part
Methods in org.apache.juneau.http.classic.part with parameters of type HttpPartSerializerModifier and TypeMethodDescriptionSerializedPart.serializer(HttpPartSerializer value) Sets the serializer to use for serializing the value to a string value. -
Uses of HttpPartSerializer in org.apache.juneau.http.remote
Methods in org.apache.juneau.http.remote that return HttpPartSerializerModifier and TypeMethodDescriptionRrpcInterfaceMeta.getPartSerializer()Returns the interface-level customHttpPartSerializer, ornull if none.RrpcInterfaceMethodMeta.getPartSerializer()Returns the method-level customHttpPartSerializer, ornull if none.static HttpPartSerializerRrpcInterfaceMethodMeta.resolvePartSerializer(Class<? extends HttpPartSerializer> c) Resolves anHttpPartSerializerclass declared on anHttpPartMarshallingannotation to a cached instance, or returnsnull for theHttpPartSerializer.Voidsentinel (or anull class).Method parameters in org.apache.juneau.http.remote with type arguments of type HttpPartSerializerModifier and TypeMethodDescriptionstatic HttpPartSerializerRrpcInterfaceMethodMeta.resolvePartSerializer(Class<? extends HttpPartSerializer> c) Resolves anHttpPartSerializerclass declared on anHttpPartMarshallingannotation to a cached instance, or returnsnull for theHttpPartSerializer.Voidsentinel (or anull class). -
Uses of HttpPartSerializer in org.apache.juneau.httppart.bean
Methods in org.apache.juneau.httppart.bean that return types with arguments of type HttpPartSerializerModifier and TypeMethodDescriptionResponseBeanMeta.getPartSerializer()Returns the part serializer to use to serialize this response.RequestBeanPropertyMeta.getSerializer()Returns the serializer to use for serializing the bean property value.ResponseBeanPropertyMeta.getSerializer()Returns the serializer to use for serializing the bean property value. -
Uses of HttpPartSerializer in org.apache.juneau.marshall.httppart
Subinterfaces of HttpPartSerializer in org.apache.juneau.marshall.httppartModifier and TypeInterfaceDescriptionstatic interfaceRepresent "no" part part serializer.Classes in org.apache.juneau.marshall.httppart that implement HttpPartSerializerModifier and TypeClassDescriptionclassBase class for implementations ofHttpPartSerializerclassAn implementation ofHttpPartSerializerthat simply serializes everything usingObject.toString().Method parameters in org.apache.juneau.marshall.httppart with type arguments of type HttpPartSerializerModifier and TypeMethodDescriptionHttpPartSerializer.Creator.type(Class<? extends HttpPartSerializer> value) -
Uses of HttpPartSerializer in org.apache.juneau.marshall.oapi
Classes in org.apache.juneau.marshall.oapi that implement HttpPartSerializerModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of HttpPartSerializer in org.apache.juneau.marshall.uon
Classes in org.apache.juneau.marshall.uon that implement HttpPartSerializerModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of HttpPartSerializer in org.apache.juneau.marshall.urlencoding
Classes in org.apache.juneau.marshall.urlencoding that implement HttpPartSerializerModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of HttpPartSerializer in org.apache.juneau.rest.client.classic
Fields in org.apache.juneau.rest.client.classic declared as HttpPartSerializerMethods in org.apache.juneau.rest.client.classic that return HttpPartSerializerModifier and TypeMethodDescriptionprotected HttpPartSerializerRestClient.getPartSerializer()Returns the part serializer associated with this client.protected HttpPartSerializerRestClient.getPartSerializer(Class<? extends HttpPartSerializer> c) Returns the part serializer instance of the specified type.Methods in org.apache.juneau.rest.client.classic with parameters of type HttpPartSerializerModifier and TypeMethodDescriptionprotected HeaderRestRequest.createHeader(String name, Object value, HttpPartSerializer serializer, HttpPartSchema schema, Boolean skipIfEmpty) Creates a new header.protected NameValuePairRestRequest.createPart(String name, Object value, HttpPartType type, HttpPartSerializer serializer, HttpPartSchema schema, Boolean skipIfEmpty) Creates a new query/form-data/path part.RestClient.Builder.partSerializer(HttpPartSerializer value) Part serializer.Method parameters in org.apache.juneau.rest.client.classic with type arguments of type HttpPartSerializerModifier and TypeMethodDescriptionprotected HttpPartSerializerRestClient.getPartSerializer(Class<? extends HttpPartSerializer> c) Returns the part serializer instance of the specified type.RestClient.Builder.partSerializer(Class<? extends HttpPartSerializer> value) Part serializer. -
Uses of HttpPartSerializer in org.apache.juneau.rest.client.classic.remote
Methods in org.apache.juneau.rest.client.classic.remote that return types with arguments of type HttpPartSerializerModifier and TypeMethodDescriptionRemoteOperationArg.getSerializer()Returns the HTTP part serializer to use for serializing this part. -
Uses of HttpPartSerializer in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that return HttpPartSerializerModifier and TypeMethodDescriptionRestContext.getPartSerializer()Returns the HTTP-part serializer associated with this resource.RestOpContext.getPartSerializer()Bean property getter:partSerializer .Method parameters in org.apache.juneau.rest.server with type arguments of type HttpPartSerializerModifier and TypeMethodDescriptionAbstractRestBuilder.partSerializer(Class<? extends HttpPartSerializer> value) ChildAnnotation.Builder.partSerializer(Class<? extends HttpPartSerializer> value) Sets theChild.partSerializer()property on this annotation.MixinAnnotation.Builder.partSerializer(Class<? extends HttpPartSerializer> value) Sets theMixin.partSerializer()property on this annotation.RestAnnotation.Builder.partSerializer(Class<? extends HttpPartSerializer> value) Sets theRest.partSerializer()property on this annotation.RestBuilder.partSerializer(Class<? extends HttpPartSerializer> value) Specifies thepartSerializerfor this resource. -
Uses of HttpPartSerializer in org.apache.juneau.rest.server.httppart
Methods in org.apache.juneau.rest.server.httppart that return HttpPartSerializerConstructors in org.apache.juneau.rest.server.httppart with parameters of type HttpPartSerializerModifierConstructorDescriptionResponsePartMeta(HttpPartType partType, HttpPartSchema schema, HttpPartSerializer serializer) Constructor.